Skip to main content

Shops and Establishment Verification API

This document highlights the Shops and Establishment Verification API details.

API Description

Objective

The Shops and Establishment Verification API, fetches the details of an establishment or shop from the registration number and state name.

API URL

https://ind-thomas.hyperverge.co/v1/verifyShopAndEstablishmentLicense

API Endpoint

verifyShopAndEstablishmentLicense

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Authentication

You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

Method - POST

Headers

ParameterMandatory or OptionalDescriptionAllowed Values
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
transactionIdMandatoryA unique identifier for tracking a complainant journeyThis should be both unique and easily associated with the complainant's journey in your application(s)

Input

The following table outlines the parameters required in the API's request body:

ParameterDescriptionMandatory or OptionalAllowed ValuesDefault Value
registrationNumberThe unique identifier or number required for registrationMandatoryNot ApplicableNot Applicable

Request

The following code shows a standard curl request for the API:

curl --location --request POST 'https://ind-thomas.hyperverge.co/v1/verifyShopAndEstablishmentLicense' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"registrationNumber": "<Enter_the_registration_number>"
}'

Success Response

The following code snippet demonstrates a success response from the API:

{
"status": "success",
"statusCode": 200,
"result": {
"establishmentName": "<Establishment_Name>",
"establishmentCode": "<Establishment_Code>",
"primaryBusinessActivity": "<Primary_Business_Activity>",
"address": "<Establishment_Address>",
"city": "<City_Name>",
"state": "<State_Name>",
"district": "<District_Name>",
"pincode": "<Pincode>",
"establishmentStatus": "<Establishment_Status>",
"registrationStatus": "<Registration_Status>",
"dateOfCoverage": "<Date_Of_Coverage>",
"working_status": "<workingStatus>",
"excemptionStatus": "<Exemption_Status>",
"actionableStatus": "<Actionable_Status>"
},
"metaData": {
"requestId": "<Unique_Request_Identifier>",
"transactionId": "<Unique_Transaction_Identifier>"
}
}

Success Response Details

ParameterTypeDescription
establishmentNamestringThe name of the organization or business
establishmentCodestringThe unique code assigned to the establishment
primaryBusinessActivitystringThe main business or industry type of the establishment
addressstringThe registered address of the establishment
citystringThe city where the establishment is located
statestringThe state where the establishment is located
districtstringThe district of the establishment
pincodestringThe postal code of the establishment's address
establishmentStatusstringThe current EPFO-related status; may refer to legacy or outdated registration
registrationStatusstringThe status of EPFO login creation or registration
dateOfCoveragestringThe date when the establishment was covered under EPFO
workingStatusstringIndicates whether the establishment is currently operational or closed
excemptionStatusstringThe status of PF, Pension, and EDLI exemption
actionableStatusstringIndicates if any EPFO action is pending or required

Error Responses

The following are the error responses from the API:

{
"status": "failure",
"statusCode": 400,
"error": "Please provide valid registration number",
"metaData": {
"requestId": "",
"transactionId": ""
}
}

Error Response Details

A failure or error response from the module contains a failure status, with a relevant status code and error message. The following table lists all error responses:

Status CodeError MessageError Description
400Missing required request parametersSome mandatory request parameters are missing in the API request made
400Please provide valid registration numberThe registration number should not be empty in request body
401Missing/Invalid credentialsThe appId / appKey is missing or incorrect in the request headers
403Please reach out to HV support TeamPlease reach out to HV support Team
404Registration Number Not FoundWhen registration number not found
404Multiple record foundWhen multiple record found with the provided registration number
500Internal Server ErrorCheck API request headers and/or contact HV for investigation
503External DowntimeExternal downtime
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: